## hostap-modules-i386 0.3.7-1sarge3

=== Makefile ===
#!/usr/bin/make -f

HEADERS ?= 2.4.27-1-386

all:
	tar jxf /usr/src/hostap-source.tar.bz2
	cp debian/changelog modules/hostap-source/debian
	cp debian/copyright modules/hostap-source/debian
	sed -i 's/^Source:.*$$/Source: hostap-modules-i386/' \
		modules/hostap-source/debian/control.modules.in
	cd modules/hostap-source && for h in $(HEADERS); do \
		cp -raL /usr/src/kernel-headers-$$h ../.. || true && \
		ln -s asm-i386 ../../kernel-headers-$$h/include/asm && \
		fakeroot debian/rules binary-modules \
			KSRC=../../kernel-headers-$$h DEB_DESTDIR=../.. && \
		rm -rf ../../kernel-headers-$$h; \
	done

clean:
	rm -rf modules kernel-headers-* *.deb

## hostap-modules-i386 0.1.3-1

=== debian/changelog ===
hostap-modules-i386 (1:0.1.3-1) unstable; urgency=low

  * New kernel version (closes: #238520) 

 -- Francois Gurin <matrix@debian.org>  Sat,  1 May 2004 23:21:09 -0400

hostap-modules-i386 (1:0.1.2-3) unstable; urgency=low

  * Seperate control file than hostap-source, we can set a Recommends on the -modules package without bothering the -source 
  * modules compiled for 2.4.23-1

 -- Francois Gurin <matrix@debian.org>  Sat,  3 Jan 2004 14:03:04 -0500

hostap-modules-i386 (1:0.1.2-2) unstable; urgency=low

  * New hostap-driver package upload 
  * Tackle misisng kernel symbol issues

 -- Francois Gurin <matrix@debian.org>  Sun,  7 Dec 2003 19:37:30 -0500

hostap-modules-i386 (1:0.1.2-1) unstable; urgency=low

  * New upstream release 

 -- Francois Gurin <matrix@debian.org>  Mon,  3 Nov 2003 20:10:51 -0500

hostap-modules-i386 (1:0.1.1-3) unstable; urgency=low

  * fixed version epoch 

 -- Francois Gurin <matrix@debian.org>  Mon, 27 Oct 2003 00:57:35 -0500

hostap-modules-i386 (0.1.1-1) unstable; urgency=low

  * Initial release 

 -- Francois Gurin <matrix@debian.org>  Sun, 26 Oct 2003 20:35:59 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: hostap-modules-i386
Section: net
Priority: optional
Maintainer: Francois Gurin <matrix@debian.org>
Build-Depends: debhelper (>= 4.0.0), kernel-build-2.4.26-1 (>= 2.4.26-1), kernel-package
Standards-Version: 3.6.1

Package: hostap-modules-2.4.26-1-386
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.26-1-586tsc
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.26-1-686
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.26-1-686-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.26-1-k6
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.26-1-k7
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.26-1-k7-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for hostap-modules-*-i386
#
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 1999-2001 Herbert Xu <herbert@debian.org>
# Fixes by Steve Kowalik for the New Alsa-Source.
#
# $Id: rules,v 1.5 2003/02/05 00:07:36 stevenk Exp $

SHELL := sh -e

revision := $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2)
version := 2.4.26-1
flavours := 386 586tsc 686 686-smp k6 k7 k7-smp
#flavours := 686-smp 

unpack: unpack-stamp
unpack-stamp:
	tar zxf /usr/src/hostap-source.tar.gz
	cp debian/README.Debian modules/hostap-source/debian
	cp debian/changelog modules/hostap-source/debian
	cp debian/copyright modules/hostap-source/debian
	touch unpack-stamp

build: unpack-stamp

clean:
	$(RM) unpack-stamp install-stamp
	$(RM) -r kernel-source-$(version) build-* modules
	$(RM) *.deb
	dh_clean

# Build architecture-independent files here.
binary-indep:

#		KVERS=$(version)-$$i debian/rules control-munge; \
# Build architecture-dependent files here.
binary-arch: build
	cp debian/control.modules.in modules/hostap-source/debian/control.modules.in
	cd modules/hostap-source; for i in $(flavours); do \
		grep -v '^Source' debian/control.modules.in > debian/control.bak; \
		mv debian/control.bak debian/control.modules.in; \
		head -1 ../../debian/control > debian/control.bak; \
		cat debian/control.modules.in >> debian/control.bak; \
		mv debian/control.bak debian/control.modules.in; \
		debian/rules binary-modules KERNEL_DEPENDS=y MODVERS=$(revision) KSRC=/usr/src/kernel-headers-$(version)-$$i KVERS=$(version)-$$i DEBDIR=.. ; \
		debian/rules clean KSRC=/usr/src/kernel-headers-$(version)-$$i KVERS=$(version)-$$i ; \
	done
#	mv modules/*.deb .
	for p in *.deb; do \
		dpkg-distaddfile $$p net optional; \
	done
	mv *.deb ..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary unpack

## hostap-modules-i386 0.1.3-1.1

=== debian/changelog ===
hostap-modules-i386 (1:0.1.3-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Add hostap-source as a build-dep (closes: #249117).

 -- Andres Salomon <dilinger@voxel.net>  Sun, 11 Jul 2004 23:06:01 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Francois Gurin <matrix@debian.org>
-Build-Depends: debhelper (>= 4.0.0), kernel-build-2.4.26-1 (>= 2.4.26-1), kernel-package
+Build-Depends: debhelper (>= 4.0.0), kernel-build-2.4.26-1 (>= 2.4.26-1), kernel-package, hostap-source
 Standards-Version: 3.6.1
 
 Package: hostap-modules-2.4.26-1-386

## hostap-modules-i386 0.3.7-1

=== debian/changelog ===
hostap-modules-i386 (1:0.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@voxel.net>  Wed, 09 Mar 2005 17:37:14 -0500

hostap-modules-i386 (1:0.2.6-1) unstable; urgency=low

  * New upstream release.
  * Take over package from Francois (closes: #265336).
  * Update kernel to 2.4.27-2 (closes: #284442).
  * Drop README.Debian.
  * Add 2.6.8-2 kernel images (closes: #255465).
  * ACK my NMU (closes: #249117).

 -- Andres Salomon <dilinger@voxel.net>  Sun, 02 Jan 2005 18:02:22 -0500

=== debian/control ===
Source: hostap-modules-i386
Section: net
Priority: optional
Maintainer: Andres Salomon <dilinger@voxel.net>
Build-Depends: debhelper (>> 4.1.0), cdbs, fakeroot, hostap-source, kernel-build-2.4.27-2, modutils, kernel-headers-2.6.8-2-386, kernel-headers-2.6.8-2-686, kernel-headers-2.6.8-2-686-smp, kernel-headers-2.6.8-2-k7, kernel-headers-2.6.8-2-k7-smp
Standards-Version: 3.6.1

Package: hostap-modules-2.4.27-2-386
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-2-586tsc
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-2-686
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-2-686-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-2-k6
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-2-k7
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-2-k7-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-2-386
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-2-686
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-2-686-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-2-k7
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-2-k7-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

HEADERS := $(shell echo 2.4.27-2-{386,586tsc,686,k6,k7,{686,k7}-smp})
HEADERS += $(shell echo 2.6.8-2-{386,686,k7,{686,k7}-smp})

DEB_MAKE_ENVVARS += HEADERS="$(HEADERS)"
DEB_MAKE_INVOKE := $(DEB_MAKE_ENVVARS) make -C $(DEB_BUILDDIR)

$(patsubst %,binary/hostap-modules-%,$(HEADERS))::
	dpkg-distaddfile $(wildcard $(patsubst binary/%,%,$@)_*.deb) net optional
	mv $(wildcard $(patsubst binary/%,%,$@)_*.deb) ..

## hostap-modules-i386 0.3.7-1sarge2

=== debian/changelog ===
hostap-modules-i386 (1:0.3.7-1sarge2) oldstable-security; urgency=high

  * Rebuild for 2.6.8-4 ABI

 -- dann frazier <dannf@debian.org>  Fri,  1 Jun 2007 00:01:09 -0600

hostap-modules-i386 (1:0.3.7-1sarge1) stable-security; urgency=high

  * Rebuild for -3 ABI

 -- dann frazier <dannf@debian.org>  Thu, 23 Feb 2006 23:45:05 -0700

=== debian/control ===
Source: hostap-modules-i386
Section: net
Priority: optional
Maintainer: Andres Salomon <dilinger@voxel.net>
Build-Depends: debhelper (>> 4.1.0), cdbs, fakeroot, hostap-source, kernel-build-2.4.27-3, modutils, kernel-headers-2.6.8-4-386, kernel-headers-2.6.8-4-686, kernel-headers-2.6.8-4-686-smp, kernel-headers-2.6.8-4-k7, kernel-headers-2.6.8-4-k7-smp
Standards-Version: 3.6.1

Package: hostap-modules-2.4.27-3-386
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-3-586tsc
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-3-686
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-3-686-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-3-k6
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-3-k7
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.4.27-3-k7-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-4-386
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-4-686
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-4-686-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-4-k7
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

Package: hostap-modules-2.6.8-4-k7-smp
Architecture: i386
Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

## hostap-modules-i386 0.3.7-1sarge3

=== debian/changelog ===
hostap-modules-i386 (1:0.3.7-1sarge3) oldstable-security; urgency=high

  * Rebuild for 2.4.27-4 ABI

 -- dann frazier <dannf@debian.org>  Wed, 20 Feb 2008 15:19:46 -0700

=== debian/control ===
--- 
+++ 
@@ -2,34 +2,34 @@
 Section: net
 Priority: optional
 Maintainer: Andres Salomon <dilinger@voxel.net>
-Build-Depends: debhelper (>> 4.1.0), cdbs, fakeroot, hostap-source, kernel-build-2.4.27-3, modutils, kernel-headers-2.6.8-4-386, kernel-headers-2.6.8-4-686, kernel-headers-2.6.8-4-686-smp, kernel-headers-2.6.8-4-k7, kernel-headers-2.6.8-4-k7-smp
+Build-Depends: debhelper (>> 4.1.0), cdbs, fakeroot, hostap-source, kernel-build-2.4.27-4, modutils, kernel-headers-2.6.8-4-386, kernel-headers-2.6.8-4-686, kernel-headers-2.6.8-4-686-smp, kernel-headers-2.6.8-4-k7, kernel-headers-2.6.8-4-k7-smp
 Standards-Version: 3.6.1
 
-Package: hostap-modules-2.4.27-3-386
+Package: hostap-modules-2.4.27-4-386
 Architecture: i386
 Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)
 
-Package: hostap-modules-2.4.27-3-586tsc
+Package: hostap-modules-2.4.27-4-586tsc
 Architecture: i386
 Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)
 
-Package: hostap-modules-2.4.27-3-686
+Package: hostap-modules-2.4.27-4-686
 Architecture: i386
 Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)
 
-Package: hostap-modules-2.4.27-3-686-smp
+Package: hostap-modules-2.4.27-4-686-smp
 Architecture: i386
 Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)
 
-Package: hostap-modules-2.4.27-3-k6
+Package: hostap-modules-2.4.27-4-k6
 Architecture: i386
 Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)
 
-Package: hostap-modules-2.4.27-3-k7
+Package: hostap-modules-2.4.27-4-k7
 Architecture: i386
 Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)
 
-Package: hostap-modules-2.4.27-3-k7-smp
+Package: hostap-modules-2.4.27-4-k7-smp
 Architecture: i386
 Description: Host AP driver for Intersil Prism2/2.5/3 (drivers)

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
 
-HEADERS := $(shell echo 2.4.27-2-{386,586tsc,686,k6,k7,{686,k7}-smp})
-HEADERS += $(shell echo 2.6.8-2-{386,686,k7,{686,k7}-smp})
+HEADERS := $(shell echo 2.4.27-3-{386,586tsc,686,k6,k7,{686,k7}-smp})
+HEADERS += $(shell echo 2.6.8-4-{386,686,k7,{686,k7}-smp})
 
 DEB_MAKE_ENVVARS += HEADERS="$(HEADERS)"
 DEB_MAKE_INVOKE := $(DEB_MAKE_ENVVARS) make -C $(DEB_BUILDDIR)
